aboutsummaryrefslogtreecommitdiff
path: root/package
diff options
context:
space:
mode:
authorGravatar Fabrice Fontaine <fontaine.fabrice@gmail.com>2019-02-16 11:42:02 +0100
committerGravatar Thomas Petazzoni <thomas.petazzoni@bootlin.com>2019-02-24 21:23:41 +0100
commit292c5a0ecda2a3cb1c54f12e1302494eaa8382fa (patch)
treec5b68905a2ed1b16f834556db14358baed33a921 /package
parentff50cc8b0558296b3fc4aecfa9847335dc38ec96 (diff)
downloadbuildroot-292c5a0ecda2a3cb1c54f12e1302494eaa8382fa.tar.gz
buildroot-292c5a0ecda2a3cb1c54f12e1302494eaa8382fa.tar.bz2
package/upmpdcli: needs NPTL
The software uses pthread_mutexattr_setrobust which isn't available in uClibc-ng Linuxthreads support. Fixes: - http://autobuild.buildroot.org/results/197615ad077b0a719954024c3ba182dac43a0555 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Acked-by: Jörg Krause <joerg.krause@embedded.rocks> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
Diffstat (limited to 'package')
-rw-r--r--package/upmpdcli/Config.in8
1 files changed, 5 insertions, 3 deletions
diff --git a/package/upmpdcli/Config.in b/package/upmpdcli/Config.in
index cf85a793ea..74eb768830 100644
--- a/package/upmpdcli/Config.in
+++ b/package/upmpdcli/Config.in
@@ -2,7 +2,7 @@ config BR2_PACKAGE_UPMPDCLI
bool "upmpdcli"
depends on BR2_USE_MMU # fork()
depends on BR2_INSTALL_LIBSTDCPP
- depends on BR2_TOOLCHAIN_HAS_THREADS # libupnpp, libmicrohttpd
+ depends on BR2_TOOLCHAIN_HAS_THREADS_NPTL
depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_9 # C++11, libupnpp
select BR2_PACKAGE_JSONCPP
select BR2_PACKAGE_LIBMICROHTTPD
@@ -15,6 +15,8 @@ config BR2_PACKAGE_UPMPDCLI
http://www.lesbonscomptes.com/upmpdcli/
-comment "upmpdcli needs a toolchain w/ C++, threads, gcc >= 4.9"
+comment "upmpdcli needs a toolchain w/ C++, NPTL, gcc >= 4.9"
depends on BR2_USE_MMU
- depends on !BR2_INSTALL_LIBSTDCPP || !BR2_TOOLCHAIN_HAS_THREADS || !BR2_TOOLCHAIN_GCC_AT_LEAST_4_9
+ depends on !BR2_INSTALL_LIBSTDCPP || \
+ !BR2_TOOLCHAIN_HAS_THREADS_NPTL || \
+ !BR2_TOOLCHAIN_GCC_AT_LEAST_4_9